Loading...
Searching...
No Matches
pcl::device::PointStream Struct Reference

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/surface/src/internal.h>`

## Public Member Functions

| PointStream (const Cloud &cloud)
void | computeInitalSimplex ()
void | initalClassify ()
int | searchFacetHeads (std::size_t facet_count, DeviceArray< int > &head_points)
void | classify (FacetStream &fs)

## Public Attributes

const Cloud | cloud
FacetsDists | facets_dists
Perm | perm
std::size_t | cloud_size
InitalSimplex | simplex
float | cloud_diag

## Detailed Description

Definition at line 93 of file internal.h.

## Constructor & Destructor Documentation

## PointStream()

pcl::device::PointStream::PointStream | ( | const Cloud & | cloud | ) |

References cloud.

## Member Function Documentation

## classify()

void pcl::device::PointStream::classify | ( | FacetStream & | fs | ) |

## computeInitalSimplex()

void pcl::device::PointStream::computeInitalSimplex | ( |  | ) |

## initalClassify()

void pcl::device::PointStream::initalClassify | ( |  | ) |

## searchFacetHeads()

int pcl::device::PointStream::searchFacetHeads | ( | std::size_t | facet_count,
|  | DeviceArray< int > & | head_points )

## Member Data Documentation

## cloud

const Cloud pcl::device::PointStream::cloud

Definition at line 98 of file internal.h.

Referenced by PointStream().

## cloud_diag

float pcl::device::PointStream::cloud_diag

Definition at line 105 of file internal.h.

## cloud_size

std::size_t pcl::device::PointStream::cloud_size

Definition at line 102 of file internal.h.

## facets_dists

FacetsDists pcl::device::PointStream::facets_dists

Definition at line 99 of file internal.h.

## perm

Perm pcl::device::PointStream::perm

Definition at line 100 of file internal.h.

## simplex

InitalSimplex pcl::device::PointStream::simplex

Definition at line 104 of file internal.h.

The documentation for this struct was generated from the following file:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/surface/src/internal.h